Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://demo.casebender.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"description": "<string>",
"method": "POST",
"authType": "<string>",
"authConfig": {},
"headers": {},
"filters": {},
"retryDelayMs": 1000,
"timeoutMs": 30000,
"maxRetries": 3,
"tags": [],
"environment": "production"
}
'import requests
url = "https://demo.casebender.com/api/v1/webhooks"
payload = {
"name": "<string>",
"url": "<string>",
"events": ["<string>"],
"description": "<string>",
"method": "POST",
"authType": "<string>",
"authConfig": {},
"headers": {},
"filters": {},
"retryDelayMs": 1000,
"timeoutMs": 30000,
"maxRetries": 3,
"tags": [],
"environment": "production"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
events: ['<string>'],
description: '<string>',
method: 'POST',
authType: '<string>',
authConfig: {},
headers: {},
filters: {},
retryDelayMs: 1000,
timeoutMs: 30000,
maxRetries: 3,
tags: [],
environment: 'production'
})
};
fetch('https://demo.casebender.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create a new webhook subscription
API key authentication. Use format: Bearer cbr_live_your_key
POST, PUT, PATCH Default Response